Implement downloads.haskell.org
Closed, ResolvedPublic

Description

Since Fastly has given us unlimited CDN-ness, we need a better way to host static files - ta-da!!!

I have a server mostly configured, besides the upload permission work.

austin created this task.Oct 23 2014, 9:33 PM
austin updated the task description. (Show Details)
austin raised the priority of this task from to Normal.
austin claimed this task.
austin added a subscriber: austin.
austin changed the visibility from "All Users" to "Public (No Login Required)".Oct 25 2014, 3:17 AM
austin changed the edit policy from "All Users" to "Haskell.org Infrastructure (Project)".
austin added a subscriber: davean.Oct 26 2014, 4:20 AM

The basic server is now up: http://downloads.haskell.org and it can host tarballs, but unfortunately a SSL certificate will require contacting Fastly again so they can hopefully set us up with a SSL certificate. We'll also need this for Hackage. @davean, do you want to try and contact them?

(To be clear, they have a free SSL option, but this requires using a non Haskell.org domain, which is a bit suboptimal.)

Note: @davean is on the move and should have cleared the certificate with DigiCert. We'll be getting SSL by the end of next week hopefully (when they renew their shared certs).

Side note: the server should now properly be configured with bind mounts and permissions; still need to use SFTP jails for logins, but otherwise 95% done in admin needs.

austin closed this task as Resolved.Nov 19 2014, 8:10 PM

I consider this fixed now, although we still need the SFTP jailing.